{% extends "layout.html" %}

{# 
color1 - text
color2 - background
color3 - highlight 
#}

{% 
  set options = {
    color1 : data.page.color1, 
    color2 : data.page.color2,
    color3 : data.page.color3
  } 
%}

{% block bodyClass %}
  {{ super() }}
  case-study-page
{% endblock %}

{% block main %}
    
    <div class="case-page page-container"
    data-wrapper-class="case-study-page"
    style="--aspect-ratio: 3/4; {% if options.color2 %} background-color: {{ options.color2 }}; {% endif %} "
    >

    <div class="container header-section">

      <div class="header-image-wrapper">
          <div class="header-image-container appear trigger-early">
            {{ apos.singleton(data.page, 'defaultCasePageHeaderImage', 'drawer-case-header-image' ) }}
          </div>
      </div>

      <style>
        .primary-color{
          color: {{ options.color1}};
        }
        .accent-color{
          color: {{ options.color3 }};
        }
      </style>

      <div class="header-block">
          <h1 class="header-title appear appear-bottom trigger-early" 
              style="{% if options.color1  %} color: {{ options.color1 }}; {% endif %}"
            >
        {{ apos.singleton(data.page, 'defaultCasePageTitle', 'apostrophe-rich-text', {
          toolbar: [ 'Styles', 'Color' ],
          styles: [
            { name: 'Primary Color', element: 'p', attributes: { 'class': 'primary-color'}  },
            { name: 'Accent Color', element: 'p', attributes: { 'class': 'accent-color'}  }
          ]
        }) }}

        <!-- { name: 'Font LARGE', element: 'p', attributes: { 'class': 'hero-title-large'}  }, -->
        <!-- { name: 'Font MEDIUM', element: 'p', attributes: { 'class': 'hero-title-medium'}  }, -->
        <!-- { name: 'Font SMALL', element: 'p', attributes: { 'class': 'hero-title-small'}  } -->
        </h1>
    
        <div class="lower-header">

          <h2 class="header-subtitle appear appear-bottom trigger-early" 
            style="{% if options.color1  %} color: {{ options.color1 }}; {% endif %}"
          >
            {{ apos.singleton(data.page, 'defaultCasePageSubtitle', 'apostrophe-rich-text') }}
          </h2>

          <div class="header-services">
            <div class="services-title appear appear-bottom trigger-early"
              style="{% if options.color3  %} color: {{ options.color3 }}; {% endif %}"
            >
            {{ apos.singleton(data.page, 'defaultCasePageServicesTitle', 'apostrophe-rich-text') }}
            </div>
            <div class="services-list appear appear-bottom trigger-early"
                style="{% if options.color1  %} color: {{ options.color1 }}; {% endif %}"
            >
              {{ apos.singleton(data.page, 'defaultCasePageServicesList', 'apostrophe-rich-text') }}
            </div>
          </div>  
        </div>
      </div>
    
    </div>


    <div class="container">
      {{
        apos.area(data.page, 'drawers', {
          widgets: {
            'drawer-case-image': { options: options },
            'drawer-case-video' : { options: options },
            'drawer-case-carousel': { options: options },
            'drawer-case-text-section' : { options: options },
            'drawer-case-quote-section' : { options: options },
            'drawer-case-two-columns-section' : { options: options }
          }
        })
      }}
    </div>

    <div class="container">
      {% include "/pages/parts/cases/more.html" %}
    </div>

    <div class="container">
        {% include "/pages/parts/hire-and-contact.html" %}
    </div>
    


    </div>
{% endblock %}

{% block afterMain %}

    {{ super() }}
    <script src="https://player.vimeo.com/api/player.js"></script>

{% endblock %}
